Name:          shibboleth-java-parent-v3
Version:       8
Release:       %mkrel 3
Group:         Development/Java
Summary:       Shibboleth Project V3 Super POM
License:       ASL 2.0
URL:           http://shibboleth.net/
#git clone git://git.shibboleth.net/java-parent-project-v3
#(cd java-parent-project-v3/ && git archive --format=tar --prefix=shibboleth-java-parent-v3-8/ 8 | xz > ../shibboleth-java-parent-v3-8.tar.xz)
Source0:       %{name}-%{version}.tar.xz

BuildRequires: maven-local
BuildRequires: mvn(ch.qos.logback:logback-classic)
BuildRequires: mvn(org.apache.maven.plugins:maven-checkstyle-plugin)
BuildRequires: mvn(org.slf4j:jcl-over-slf4j)
BuildRequires: mvn(org.slf4j:jul-to-slf4j)
BuildRequires: mvn(org.slf4j:log4j-over-slf4j)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.testng:testng)
BuildRequires: mvn(xmlunit:xmlunit)

Provides: opensaml-java-parent = %{version}

# com.unboundid:unboundid-ldapsdk:2.3.8
# org.cryptacular:cryptacular:1.0
# org.ldaptive:ldaptive:1.0.6
BuildArch:     noarch

%description
A POM containing properties, profiles, plugin configurations,
etc. that are common across all Shibboleth V3 projects.

%prep
%setup -q -n %{name}-%{version}

%mvn_alias : net.shibboleth:parent

%build

%mvn_build -j

%install
%mvn_install

%files -f .mfiles
%doc resources/doc/RELEASE-NOTES.txt
%license resources/doc/LICENSE.txt



%changelog
* Thu May 11 2017 neoclust <neoclust> 8-3.mga6
+ Revision: 1100446
- Rebuild on core/release

* Thu May 11 2017 neoclust <neoclust> 8-2.mga6
+ Revision: 1100381
- add provides and alias for opensaml-java-parent

* Thu May 11 2017 neoclust <neoclust> 8-1.mga6
+ Revision: 1100370
- imported package shibboleth-java-parent-v3


* Thu Jul 14 2016 gil cattaneo <puntogil@libero.it> 8-1
- initial rpm

